const path = require("path");
const fs = require("fs");
let translateConfig = {}
const { configFileName } = require("./const");

module.exports = function (targetName) {
  // 检测有无初始化配置文件
  if (fs.existsSync(configFileName)) {
    const processFile = path.join(process.cwd(), configFileName);
    translateConfig = require(processFile);
  } else {
    spinner.fail(chalk.red(`\n ❌ ${configFileName}文件不存在，请先初始化项目\n`));
    return;
  }

  // 检测有无目标文件
  if (fs.existsSync(translateConfig.dir + targetName + '.js')) {
    spinner.fail(chalk.red(`\n ❌ ${targetName}文件已存在！\n`));
  } else {
    const writeFileData = {
      name: "",
      local: {}
    } // 写入文件的数据
    const targetLangFilePath = path.join(process.cwd(), translateConfig.dir + targetName + '.js')
    // 写入文件
    fs.writeFile(
      targetLangFilePath,
      `module.exports = ${JSON.stringify(writeFileData, null, "\t")};`,
      "utf8",
      function (error) {
        if (error) {
          console.log(error.red);
          return false;
        }
        console.log(chalk.green(` 👌 语言包创建成功!=>${targetLangFilePath}\n`));
      }
    );
  }


}